<?php

require ('xajax_core/xajax.inc.php');
require('autoload.php');


function validate(Array $formData) {
    $error = false;
    $objResponse = new xajaxResponse();

    if (Validator::validateName($formData['first_name'])) {
        $objResponse->assign('first_name', 'className', 'valid');
    } else {
        $objResponse->assign('first_name', 'className', 'error');
        $error = true;
    }

    if (Validator::validateLastname($formData['last_name'])) {
        $objResponse->assign('last_name', 'className', 'valid');
    } else {
        $objResponse->assign('last_name', 'className', 'error');
        $error = true;
    }

    if (Validator::validateAge($formData['age'])) {
        $objResponse->assign('age', 'className', 'valid');
    } else {
        $objResponse->assign('age', 'className', 'error');
        $error = true;
    }

    if (Validator::validateEmail($formData['email'])) {
        $objResponse->assign('email', 'className', 'valid');
    } else {
        $objResponse->assign('email', 'className', 'error');
        $error = true;
    }

    if (!$error) {
        $objResponse->redirect('dekujeme.php');
    }
    return $objResponse;
}


$xajax = new xajax();


// registruji naseptavaci funkci
$validate = $xajax->register(XAJAX_FUNCTION, "validate");


$xajax->processRequest();
include ('views/formular_view.php');
?>